package com.yeejoin.amos.boot.module.jg.biz.service.impl;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;

/**
 * 默认处理器
 */
@Slf4j
public class DefaultUseRegisterResult extends BaseUseRegisterResultData {

    public DefaultUseRegisterResult(JSONObject data) {
        super(data);
    }

    @Override
    public JSONObject getData() {
        JSONObject data = super.getData();
        fillingEditPermission(data);
        return data;
    }

    /**
     * 新增时默认不可编辑
     * @param jsonObject 原始数据
     */
    private void fillingEditPermission(JSONObject jsonObject) {
        jsonObject.put(HAPPEN_AFTER_BIZ, true);
    }
}
